<?php
/*--------------------------------------------+
| PHP-Fusion 6 Content Management System      |
| Copyright  2002 - 2005 Nick Jones          |
| http://www.php-fusion.co.uk/                |
+---------------------------------------------+
| Teamspeak2 Viewer Infusion for              |
| PHP-Fusion 6 - Content Management System    |
| author: Makro (Markus Kronier)        2005 |
| web: http://html.makromobil.de              |
| email: makro@makromobil.de                  |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."tsviewer_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."tsviewer_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."tsviewer_panel/locale/English.php";
}

require_once("tsviewer.php");

opentable($locale['TSV200']); 

//--- Server Settings
$tsv_settings = dbarray(dbquery("SELECT * FROM ".$db_prefix."tsviewer where tsviewer_Id='1'"));
$tsviewer->serverIp    = $tsv_settings['server_Ip'];
$tsviewer->queryPort   = $tsv_settings['query_Port'];
$tsviewer->udpPort     = $tsv_settings['udp_Port'];
$tsviewer->LoginName   = $tsv_settings['Login_Name'];
$tsviewer->LoginPwd    = $tsv_settings['Login_Pwd'];
$tsviewer->connectLink = $tsv_settings['connectLink'];
$tsviewer->baseDir     = INFUSIONS."tsviewer_panel/";

//--- Read Server Data
$tsviewer->ReadServerData();

//--- write TS-Viewer HTML-Output
echo $tsviewer->GetTSViewerHtml();

closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>