<?php
/*--------------------------------------------+
| PHP-Fusion 6 Content Management System      |
| Copyright  2002 - 2005 Nick Jones          |
| http://www.php-fusion.co.uk/                |
+---------------------------------------------+
| Teamspeak2 Viewer Infusion for              |
| PHP-Fusion 6 - Content Management System    |
| author: Makro (Markus Kronier)        2005 |
| web: http://html.makromobil.de              |
| email: makro@makromobil.de                  |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."tsviewer_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."tsviewer_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."tsviewer_panel/locale/English.php";
}

//--- Save TS-Viewer settings
if (isset($_POST['savesettings'])) {
  $result = dbquery("UPDATE ".$db_prefix."tsviewer SET ".
            "server_Ip  ='".$_POST['serverIp'] ."', ".
            "query_Port ='".$_POST['queryPort']."', ".
            "udp_Port   ='".$_POST['udpPort']  ."', ".
            "Login_Name ='".$_POST['LoginName']."', ".
            "Login_Pwd  ='".$_POST['LoginPwd']."', ".
            "connectLink ='".$_POST['connectLink']."' where tsviewer_Id ='1'");

  header("Location: tsviewer_panel_admin.php");
}

//--- Insert first Configurationrecord if not exists
$result = dbquery("SELECT tsviewer_Id FROM ".$db_prefix."tsviewer WHERE tsviewer_Id='1'");
if (dbrows($result) == 0) {
  $result = dbquery("INSERT INTO ".$db_prefix."tsviewer (tsviewer_id) VALUES('1')");
}

//--- Read TS-Viewer settings
$tsv_settings = dbarray(dbquery("SELECT * FROM ".$db_prefix."tsviewer WHERE tsviewer_Id='1'"));

opentable($locale['TSV400']);
echo "<form name='tsvsettingsform' method='post' action='".FUSION_SELF."'>
        <table width='500' align='center' cellspacing='0' cellpadding='0' class='tbl'>
          <tr>
            <td>
              <table width='100%' cellspacing='0' cellpadding='0' class='tbl'>
                <tr>
                  <td width='40%'>".$locale['TSV402']."</td>
                  <td width='60%'><input type='text' name='serverIp' value='".$tsv_settings['server_Ip']."' maxlength='15' class='textbox'></td>
                </tr>
                <tr>
                  <td width='40%'>".$locale['TSV403']."</td>
                  <td width='60%'><input type='text' name='queryPort' value='".$tsv_settings['query_Port']."' maxlength='10' class='textbox'></td>
                </tr>
                <tr>
                  <td width='40%'>".$locale['TSV404']."</td>
                  <td width='60%'><input type='text' name='udpPort' value='".$tsv_settings['udp_Port']."' maxlength='10' class='textbox'></td>
                </tr>
                <tr>
                  <td width='40%'>".$locale['TSV405']."</td>
                  <td width='60%'><input type='text' name='LoginName' value='".$tsv_settings['Login_Name']."' maxlength='20' class='textbox'></td>
                </tr>
                <tr>
                  <td width='40%'>".$locale['TSV406']."</td>
                  <td width='60%'><input type='text' name='LoginPwd' value='".$tsv_settings['Login_Pwd']."' maxlength='20' class='textbox'></td>
                </tr>
                <tr>
                  <td width='40%'>".$locale['TSV407']."</td>
                  <td width='60%'><input type='text' name='connectLink' value='".$tsv_settings['connectLink']."' maxlength='20' class='textbox'></td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td align='center'><br><input type='submit' name='savesettings' value='".$locale['TSV700']."' class='button'></td>
          </tr>
        </table>
      </form>";

closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>